Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#9847 closed enhancement (fixed)

[Expander] add hpkg rule

Reported by: diver Owned by: bonefish
Priority: normal Milestone: R1
Component: Applications/Expander Version: R1/Development
Keywords: Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

Wouldn't it be neat to have Expander as one of the supported apps which can handle hpkgs? For instance if one wants to modify a package

Change History (5)

comment:1 Changed 6 years ago by bonefish

Resolution: fixed
Status: newclosed

Added one in 4f82f6fa7225e5622544bc205e55da4c7ad33566.

comment:2 Changed 6 years ago by diver

Is it intended that Expander is still not enabled by default?

comment:3 in reply to:  2 Changed 6 years ago by bonefish

Replying to diver:

Is it intended that Expander is still not enabled by default?

If you mean as preferred application for the Haiku package MIME type, then yes. The package manager should be the preferred application.

comment:4 Changed 6 years ago by diver

Is this why Expander is not on the list of Open with.. subemenu? Wouldn't it be reasonable to make it the preferred application for now and switch it to PackageManager when it's ready?

Last edited 6 years ago by diver (previous) (diff)

comment:5 in reply to:  4 Changed 6 years ago by bonefish

Replying to diver:

Is this why Expander is not on the list of Open with.. subemenu?

No, the HPKG type was just missing from Expander's supported types. Fixed in 3208685. Since the HPKG type doesn't have a preferred application that also makes Expander the application HPKG files are opened with, until a preferred application is set.

Note: See TracTickets for help on using tickets.